(initial){
  PIECE_SETUP hep-ex_0009012.C (r32_40){ }(r32_40);

  RIGHT_AXIS YES; TOP_AXIS YES;

  DEFINE_COLOURS VIOLET1 195 0 185;
  DEFINE_COLOURS BLUE1 25 25 205;
  DEFINE_COLOURS GREEN1 30 145 35;
  DEFINE_COLOURS RED1 195 15 15;
  DEFINE_COLOURS YELLOW1 240 215 10,;
  DEFINE_COLOURS BLUE2 15 20 180;
  DEFINE_COLOURS GREEN2 15 125 25;
  DEFINE_COLOURS RED2 175 5 5;
}(initial);

(r32_40){
  PIECE_SETUP hep-ex_0009012.C (r32){ }(r32);
  PIECE_SETUP hep-ex_0009012.C (d_r32){ }(d_r32);
  LEFT_MARGIN 0.15; @@ FNAME R32_40.dat
  Y_TITLE_OFFSET 1.4; X_TITLE_OFFSET 1.1;
  LEG_DELTA_Y 0.05; LEG_TEXT_SIZE 0.03;
  LEG_LEFT 0.625; LEG_RIGHT 0.875; LEG_TOP 0.45;
  X_MIN 100; X_MAX 600;
  FIGURE_CAPTION $R_{32}$; WEBPAGE_CAPTION R<sub>32</sub> from hep-ex_0009012;
  Y_AXIS_TITLE R_{32}(H_{T});
  X_AXIS_TITLE H_{T} #left[ GeV #right];
}(r32_40);

(r32){
  PIECE_SETUP hep-ex_0009012.C (data){ }(data);
  PIECE_SETUP hep-ex_0009012.C (mc){ }(mc);
  Y_MIN 0.001; Y_MAX 0.7; DRAW YES; BOTTOM_MARGIN 0.3;
  X_TITLE_SIZE 0; X_AXIS_LABEL_SIZE 0;
  DRAW_LATEX parton level | COLOUR 2 SIZE 0.04 LEFT 0.95 TOP 0.125 ALIGN 31\;;
  DRAW_LATEX SHERPA | SIZE .04 COLOUR 19 LEFT .95 TOP .05 ALIGN 31 PRIORITY -10\;;
}(r32);
(d_r32){
  PIECE_SETUP hep-ex_0009012.C (e_data){ }(e_data);
  PIECE_SETUP hep-ex_0009012.C (d_mc32){ }(d_mc32);
  Y_MIN -0.5; Y_MAX 0.5; DRAW YES; LEGEND_ENABLED NO;
  TOP_MARGIN 0.7; DIFF_PLOT YES; Y_TITLE_SIZE 0;
  Y_AXIS_TICK_LENGTH 0.08; Y_AXIS_NDIVISIONS 000505;
  DRAW_LATEX Theory/Data-1 | COLOUR 1 SIZE 0.03 LEFT 0.05 TOP 0.85 ALIGN 13\;;
}(d_r32);

(mc){
  PIECE_SETUP hep-ex_0009012.C (mc2){ }(mc2);
  PIECE_SETUP hep-ex_0009012.C (mc3){ }(mc3);
  PIECE_SETUP hep-ex_0009012.C (mc32){ }(mc32);
}(mc);
(mc2){
  PIECE_SETUP hep-ex_0009012.C (paths){ }(paths);
  FILE_PIECE c0_two_jet_inc_HT.dat; NODRAW YES;
}(mc2);
(mc3){
  PIECE_SETUP hep-ex_0009012.C (paths){ }(paths);
  FILE_PIECE c0_three_jet_inc_HT.dat; NODRAW YES;
}(mc3);
(mc32){
  PIECE_SETUP hep-ex_0009012.C (paths){ }(paths);
  FILE_PIECE c0_three_jet_inc_HT.dat c0_two_jet_inc_HT.dat;
  DATA_TYPE ALGEBRA(y[0]/y[1]);
  ## ADOPT_BINS ./data/hep-ex_0009012/FNAME;
}(mc32);
(data){
  PATH_PIECE data/hep-ex_0009012/;
  FILE_PIECE FNAME; LEGEND_TITLE DO Data;
  DATA_TYPE ASCII; DRAW_OPTION P;
  X_VALUE 1; Y_VALUE 3;
  X_ERROR_PLUS 2; X_ERROR_MINUS 2;
  Y_ERROR_PLUS 5; Y_ERROR_MINUS 4;
}(data);

(d_mc32){
  PIECE_SETUP hep-ex_0009012.C (d_paths){ }(d_paths);
}(d_mc32);
(e_data){
  PATH_PIECE data/hep-ex_0009012/;
  FILE_PIECE FNAME; Y_FUNCTION 0|dy/y;
  DATA_TYPE ASCII; DRAW_OPTION P;
  X_VALUE 1; Y_VALUE 3;
  X_ERROR_PLUS 2; X_ERROR_MINUS 2;
  Y_ERROR_PLUS 5; Y_ERROR_MINUS 4;
  MARKER_COLOUR 1; LINE_COLOUR 1;
  DRAW_PRIORITY -5;
  DRAW_LINES H 0 | STYLE 1 COLOUR 1\;;
}(e_data);

(paths){
  PIECE_SETUP hep-ex_0009012.C (P[1[+1]2]){ }(P[1[+1]2]);
}(paths);
(P1){
  PIECE_SETUP hep-ex_0009012.C (final){ }(final);
  PATH_PIECE BPATH1/hep-ex_0009012/; ALIAS_NAME BPATH1FNAME;
  LEGEND_TITLE BTITLE1; DATA_TYPE ATOOLS; 
  LINE_COLOUR RED1;
}(P1);
(P2){
  PIECE_SETUP hep-ex_0009012.C (final){ }(final);
  PATH_PIECE BPATH2/hep-ex_0009012/; ALIAS_NAME BPATH2FNAME;
  LEGEND_TITLE BTITLE2; DATA_TYPE ATOOLS;
  LINE_COLOUR GREEN1; // LINE_STYLE 2;
}(P2);

(d_paths){
  PIECE_SETUP hep-ex_0009012.C (P[1[+1]2]R){ }(P[1[+1]2]R);
}(d_paths);
(P1R){
  PIECE_SETUP hep-ex_0009012.C (final){ }(final);
  FILE_PIECE BPATH1FNAME[2] data/hep-ex_0009012/FNAME;
  DATA_TYPE ALGEBRA(y[0]/y[1]-1);
  LINE_COLOUR RED1;
}(P1R);
(P2R){
  PIECE_SETUP hep-ex_0009012.C (final){ }(final);
  FILE_PIECE BPATH2FNAME[2] data/hep-ex_0009012/FNAME;
  DATA_TYPE ALGEBRA(y[0]/y[1]-1);
  LINE_COLOUR GREEN1; // LINE_STYLE 2;
}(P2R);
